Important: Please read the Qt Code of Conduct - https://forum.qt.io/topic/113070/qt-code-of-conduct

make[1]: *** [makefile:1624: obj/release/pcre_exec.o] Error 1



  • i was built a qmake for arm-linux-gnueabihf
    if i was run command "make" i got this is an error...

    ../3rdparty/javascriptcore/JavaScriptCore/pcre/pcre_exec.cpp:50:
    /usr/arm-linux-gnueabihf/include/c++/9/bits/unique_ptr.h:53:28: note: declared here
    53 | template<typename> class auto_ptr;
    | ^~~~~~~~
    make[1]: *** [Makefile:1624: obj/release/pcre_exec.o] Error 1
    make[1]: Leaving directory '/home/debian/qt-4.8/src/script'
    make: *** [Makefile:548: sub-script-install_subtargets-ordered] Error 2

    Can anyone please tell me how to resolve this problem.
    Thank you.


  • Lifetime Qt Champion

    Hi @sekhar,

    you will need to show some more lines before the ones you posted.

    Also, which compiler version is that? Note that Qt 4.8 is quite old and with modern compilers you may run into issues.

    Regards



  • I was used "debian-10.1.0-i386" operating system in VMworkstation along with "qt-everywhere-opensource-src-4.8.7 (arm-linux-gnueabihf)" compiler in "qt-5.2.0-x86".

    and i Followed this procedure [thoughtwaves.com](link url)

    and i got this errors..... at the time of build "MAKE"

    In file included from ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastAllocBase.h:84,
    from ../3rdparty/javascriptcore/JavaScriptCore/wtf/Vector.h:24,
    from ../3rdparty/javascriptcore/JavaScriptCore/pcre/pcre_exec.cpp:50:
    ../3rdparty/javascriptcore/JavaScriptCore/wtf/TypeTraits.h:173:69: error: ‘std::tr1’ has not been declared
    173 | ename T> struct HasTrivialConstructor : public std::tr1::has_trivial_constructor<T> { };
    | ^~~

    ../3rdparty/javascriptcore/JavaScriptCore/wtf/TypeTraits.h:173:74: error: expected ‘{’ before ‘has_trivial_constructor’
    173 | T> struct HasTrivialConstructor : public std::tr1::has_trivial_constructor<T> { };
    | ^~~~~~~~~~~~~~~~~~~~~~~

    ../3rdparty/javascriptcore/JavaScriptCore/wtf/TypeTraits.h:174:68: error: ‘std::tr1’ has not been declared
    174 | pename T> struct HasTrivialDestructor : public std::tr1::has_trivial_destructor<T> { };
    | ^~~

    ../3rdparty/javascriptcore/JavaScriptCore/wtf/TypeTraits.h:174:73: error: expected ‘{’ before ‘has_trivial_destructor’
    174 | e T> struct HasTrivialDestructor : public std::tr1::has_trivial_destructor<T> { };
    | ^~~~~~~~~~~~~~~~~~~~~~

    In file included from ../3rdparty/javascriptcore/JavaScriptCore/wtf/VectorTraits.h:24,
    from ../3rdparty/javascriptcore/JavaScriptCore/wtf/Vector.h:27,
    from ../3rdparty/javascriptcore/JavaScriptCore/pcre/pcre_exec.cpp:50:
    ../3rdparty/javascriptcore/JavaScriptCore/wtf/OwnPtr.h:43:21: warning: ‘template<class> class std::auto_ptr’ is deprecated [-Wdeprecated-declarations]
    43 | OwnPtr(std::auto_ptr<ValueType> autoPtr) : m_ptr(autoPtr.release()) { }
    | ^~~~~~~~
    In file included from /usr/arm-linux-gnueabihf/include/c++/9/memory:80,
    from ../3rdparty/javascriptcore/JavaScriptCore/wtf/OwnPtr.h:29,
    from ../3rdparty/javascriptcore/JavaScriptCore/wtf/VectorTraits.h:24,
    from ../3rdparty/javascriptcore/JavaScriptCore/wtf/Vector.h:27,
    from ../3rdparty/javascriptcore/JavaScriptCore/pcre/pcre_exec.cpp:50:
    /usr/arm-linux-gnueabihf/include/c++/9/bits/unique_ptr.h:53:28: note: declared here
    53 | template<typename> class auto_ptr;
    | ^~~~~~~~
    In file included from ../3rdparty/javascriptcore/JavaScriptCore/wtf/VectorTraits.h:24,
    from ../3rdparty/javascriptcore/JavaScriptCore/wtf/Vector.h:27,
    from ../3rdparty/javascriptcore/JavaScriptCore/pcre/pcre_exec.cpp:50:
    ../3rdparty/javascriptcore/JavaScriptCore/wtf/OwnPtr.h:61:25: warning: ‘template<class> class std::auto_ptr’ is deprecated [-Wdeprecated-declarations]
    61 | void adopt(std::auto_ptr<ValueType> autoPtr) { ASSERT(!autoPtr.get() || m_ptr != autoPtr.get()); deleteOwnedPtr(m_ptr); m_ptr = autoPtr.release(); }
    | ^~~~~~~~
    In file included from /usr/arm-linux-gnueabihf/include/c++/9/memory:80,
    from ../3rdparty/javascriptcore/JavaScriptCore/wtf/OwnPtr.h:29,
    from ../3rdparty/javascriptcore/JavaScriptCore/wtf/VectorTraits.h:24,
    from ../3rdparty/javascriptcore/JavaScriptCore/wtf/Vector.h:27,
    from ../3rdparty/javascriptcore/JavaScriptCore/pcre/pcre_exec.cpp:50:
    /usr/arm-linux-gnueabihf/include/c++/9/bits/unique_ptr.h:53:28: note: declared here
    53 | template<typename> class auto_ptr;
    | ^~~~~~~~
    In file included from ../3rdparty/javascriptcore/JavaScriptCore/wtf/Vector.h:27,
    from ../3rdparty/javascriptcore/JavaScriptCore/pcre/pcre_exec.cpp:50:
    ../3rdparty/javascriptcore/JavaScriptCore/wtf/VectorTraits.h:84:30: warning: ‘template<class> class std::auto_ptr’ is deprecated [-Wdeprecated-declarations]
    84 | struct VectorTraits<std::auto_ptr<P> > : SimpleClassVectorTraits { };
    | ^~~~~~~~
    In file included from /usr/arm-linux-gnueabihf/include/c++/9/memory:80,
    from ../3rdparty/javascriptcore/JavaScriptCore/wtf/OwnPtr.h:29,
    from ../3rdparty/javascriptcore/JavaScriptCore/wtf/VectorTraits.h:24,
    from ../3rdparty/javascriptcore/JavaScriptCore/wtf/Vector.h:27,
    from ../3rdparty/javascriptcore/JavaScriptCore/pcre/pcre_exec.cpp:50:
    /usr/arm-linux-gnueabihf/include/c++/9/bits/unique_ptr.h:53:28: note: declared here
    53 | template<typename> class auto_ptr;
    | ^~~~~~~~
    make[1]: *** [Makefile:1624: obj/release/pcre_exec.o] Error 1
    make[1]: Leaving directory '/home/debian/qt-4.8/src/script'
    make: *** [Makefile:528: sub-script-make_default-ordered] Error 2


  • Lifetime Qt Champion

    @Sekhar Do you really have to use Qt4.8?
    Also, this is really unclear: ""qt-everywhere-opensource-src-4.8.7 (arm-linux-gnueabihf)" compiler in "qt-5.2.0-x86"" - here is no compiler mentioned. So, which exact Qt version do you want to use? Qt4.8 or Qt5?


  • Lifetime Qt Champion

    @Sekhar said in make[1]: *** [makefile:1624: obj/release/pcre_exec.o] Error 1:

    std::tr1

    As I expected, the compiler is to new. The source code was written in Pre-C++11 times, and the namespace std::tr1 no longer exists (or would have to be enabled by hand, depending on the compiler).

    https://en.wikipedia.org/wiki/C%2B%2B_Technical_Report_1

    Regards



  • Basically i am the beginner for QT platform and my intention is to Develop a Basic QT application run on my BeagleBone Black("arm-linux-gnueabihf" based compiler) board that's why i am trying to build a make file by followed these Documents [http://thoughtwaves.com/](link url) and [http://thoughtwaves.com/?p=50](link url).

    if you don't mind could you please suggest me the way how to developing and run a basic QT application on my BeagleBone Black board.


  • Lifetime Qt Champion

    @Sekhar Here for example: https://wiki.qt.io/BeagleBone_Black_Beginners_Guide
    It uses Qt5.7, but I suggest to use the current stable version (5.13.1).



  • Error 1:
    I will try to ofline-install QT5.5.1 on my Ubuntu12.04(32-bit) System. i tried to execute file it will shows
    " bash: ./qt-opensource-linux-x64-5.5.1.run: cannot execute binary file "

    if i was used these below commands :
    $ chmod +x qt-opensource-linux-x64-5.5.1.run
    $ ./qt-opensource-linux-x64-5.5.1.run

    still it will show's same error.
    " bash: ./qt-opensource-linux-x64-5.5.1.run: cannot execute binary file "

    Capture.JPG

    I doesn't understand why it will happens.
    i was download from [https://mirrors.tuna.tsinghua.edu.cn/qt/archive/qt/5.5/5.5.1/qt-opensource-linux-x86-5.5.1.run](link url)

    Error 2:
    I was followed what "BeagleBone_Black_Beginners_guide " suggest those steps
    in
    step 2. Copy bbb image to workstation:

    workstation@workstation:~/opt$ nc -l 19000|dd bs=1M of=bbb-with-ssl-and-icu-dev.img

    it will shows on every time.

    Capture2.JPG

    I tried more that 5 times nearly 3 hours but same result on every time.


  • Lifetime Qt Champion

    @Sekhar

    Ubuntu12.04(32-bit)

    That is a pretty old OS - I can't guarantee that will work. And is the offline installer 32 bit too? Because you write both x86 and x64.


  • Lifetime Qt Champion

    @Sekhar You're trying to execute a 64bit binary on a 32bit OS, this is not going to work. You need 32bit Qt version. Also, why such an old Ubuntu version and such an old Qt version?!



  • @jsulm Sorry i forgot it. Error 1 solved. can you please give me solution for Error 2.


  • Lifetime Qt Champion

    @Sekhar You have issue two commands: one on your device and one on your workstation. Did you do both?

    # This is done on workstation (host)
    workstation@workstation:~/opt$ nc -l 19000|dd bs=1M of=bbb-with-ssl-and-icu-dev.img
    
    # This is done on device, adapt it to your environment don't just copy paste as is (device file name and IP could be different)
    root@Matilda:~# dd bs=1M if=/dev/mmcblk0|nc 192.168.7.1 19000
    


  • @jsulm said in make[1]: *** [makefile:1624: obj/release/pcre_exec.o] Error 1:

    This is done on workstation (host)

    workstation@workstation:~/opt$ nc -l 19000|dd bs=1M of=bbb-with-ssl-and-icu-dev.img

    I had a problem on workstation.
    already i was upload a image on above conversation.


  • Lifetime Qt Champion

    @Sekhar But did you issue the second command on the device also? Because without it the command on your workstation will timeout.



  • i tried on both workstation and beaglebone also but didn't response. Ok i will try it once again.
    Nearly How much space(Memory) for this operation is required in my workstation(system).
    thank you.


  • Lifetime Qt Champion

    @Sekhar said in make[1]: *** [makefile:1624: obj/release/pcre_exec.o] Error 1:

    Nearly How much space(Memory) for this operation

    Depends on the size of the device partition.
    Did you make sure you're using correct IP address?



  • @jsulm
    Thanks for your vlauble time to spent with my problems solving.
    that image file copied in my /opt/ folder.

    now I am trying to do next step: mount that image, but it shows an error message like

    file.JPG

    in my vertual system had remaing 2GB space only, after copied this image file. that image file takes nearly 16GB.


  • Lifetime Qt Champion

    @Sekhar said in make[1]: *** [makefile:1624: obj/release/pcre_exec.o] Error 1:

    in my vertual system had remaing 2GB

    If it is a virtual system you can resize the virtual hard disk and then resize the partition in your virtual system.

    Regarding mount issue: try to specify file system type using -t parameter (use same file system type used on your device).



  • As i was installed Ubuntu 19.04 and i would bi tried these steps mentioned in the document [https://wiki.qt.io/BeagleBone_Black_Beginners_Guide](link url)
    but at the 3 point(Preparing workstation) i got an error.... like
    1.JPG

    and if i was followed another documentation [http://thoughtwaves.com/?p=50](link url) and i got an error like
    2.JPG

    i was struggled last 2 months for interfacing QT with Beaglebone Black.
    my intention is to developing and run a basic QT application on my BeagleBone Black board.

    could you please tell me how can i slove this error.


  • Lifetime Qt Champion

    Start by stopping mixing Qt 4 and Qt 5 instruction sets.

    Follow the Qt wiki instructions and only these.



  • @SGaist
    if i was followed QT wiki instructions i got an error at the time of mount an image.

    1.JPG

    already asked is same query in the above conversation but some one told to specify the file system type using -t parameter
    that's why i am using -o and -t

    is there any other way to mount that iso. file. for move on next steps...


  • Lifetime Qt Champion

    @Sekhar If you would post your console output as text, we could easily modify it and send it back to you. But as pic, that's impossible.

    So just a rought template, the syntax is:

    mount -t <filesystem-type> -o loop,<other parameters> <file.img> </path/to/mountpoint>
    

    Regards



  • @aha_1980
    thank you... it will working...



  • If i was tried to create a make file
    by following the Qt-wiki document i got an error..... in
    7.Compiling qtbase (Qt 5.7)

    In file included from /mnt/bbb-rootfs/usr/include/openssl/crypto.h:31:0,
    from /mnt/bbb-rootfs/usr/include/openssl/comp.h:16,
    from /mnt/bbb-rootfs/usr/include/openssl/ssl.h:47,
    from ../../include/QtNetwork/5.7.1/QtNetwork/private/../../../../../src/network/ssl/qsslcontext_openssl_p.h:59,
    from ../../include/QtNetwork/5.7.1/QtNetwork/private/qsslcontext_openssl_p.h:1,
    from ssl/qsslsocket_p.h:61,
    from ssl/qsslsocket_openssl_p.h:69,
    from ssl/qsslsocket_openssl_symbols_p.h:70,
    from ssl/qsslcertificate_openssl.cpp:41:
    /mnt/bbb-rootfs/usr/include/openssl/ossl_typ.h:119:16: error: forward declaration of 'X509 {aka struct x509_st}'
    typedef struct x509_st X509;
    ^
    ssl/qsslcertificate_openssl.cpp: In member function 'QByteArray QSslCertificate::version() const':
    ssl/qsslcertificate_openssl.cpp:93:68: error: invalid use of incomplete type 'X509 {aka struct x509_st}'
    QByteArray::number(qlonglong(q_ASN1_INTEGER_get(d->x509->cert_info->version)) + 1);
    ^
    In file included from /mnt/bbb-rootfs/usr/include/openssl/crypto.h:31:0,
    from /mnt/bbb-rootfs/usr/include/openssl/comp.h:16,
    from /mnt/bbb-rootfs/usr/include/openssl/ssl.h:47,
    from ../../include/QtNetwork/5.7.1/QtNetwork/private/../../../../../src/network/ssl/qsslcontext_openssl_p.h:59,
    from ../../include/QtNetwork/5.7.1/QtNetwork/private/qsslcontext_openssl_p.h:1,
    from ssl/qsslsocket_p.h:61,
    from ssl/qsslsocket_openssl_p.h:69,
    from ssl/qsslsocket_openssl_symbols_p.h:70,
    from ssl/qsslcertificate_openssl.cpp:41:
    /mnt/bbb-rootfs/usr/include/openssl/ossl_typ.h:119:16: error: forward declaration of 'X509 {aka struct x509_st}'
    typedef struct x509_st X509;
    ^
    ssl/qsslcertificate_openssl.cpp: In member function 'QByteArray QSslCertificate::serialNumber() const':
    ssl/qsslcertificate_openssl.cpp:102:45: error: invalid use of incomplete type 'X509 {aka struct x509_st}'
    ASN1_INTEGER *serialNumber = d->x509->cert_info->serialNumber;
    ^
    In file included from /mnt/bbb-rootfs/usr/include/openssl/crypto.h:31:0,
    from /mnt/bbb-rootfs/usr/include/openssl/comp.h:16,
    from /mnt/bbb-rootfs/usr/include/openssl/ssl.h:47,
    from ../../include/QtNetwork/5.7.1/QtNetwork/private/../../../../../src/network/ssl/qsslcontext_openssl_p.h:59,
    from ../../include/QtNetwork/5.7.1/QtNetwork/private/qsslcontext_openssl_p.h:1,
    from ssl/qsslsocket_p.h:61,
    from ssl/qsslsocket_openssl_p.h:69,
    from ssl/qsslsocket_openssl_symbols_p.h:70,
    from ssl/qsslcertificate_openssl.cpp:41:
    /mnt/bbb-rootfs/usr/include/openssl/ossl_typ.h:119:16: error: forward declaration of 'X509 {aka struct x509_st}'
    typedef struct x509_st X509;
    ^
    ssl/qsslcertificate_openssl.cpp: In member function 'QSslKey QSslCertificate::publicKey() const':
    ssl/qsslcertificate_openssl.cpp:238:32: error: invalid use of incomplete type 'X509 {aka struct x509_st}'
    X509_PUBKEY *xkey = d->x509->cert_info->key;
    ^
    In file included from /mnt/bbb-rootfs/usr/include/openssl/crypto.h:31:0,
    from /mnt/bbb-rootfs/usr/include/openssl/comp.h:16,
    from /mnt/bbb-rootfs/usr/include/openssl/ssl.h:47,
    from ../../include/QtNetwork/5.7.1/QtNetwork/private/../../../../../src/network/ssl/qsslcontext_openssl_p.h:59,
    from ../../include/QtNetwork/5.7.1/QtNetwork/private/qsslcontext_openssl_p.h:1,
    from ssl/qsslsocket_p.h:61,
    from ssl/qsslsocket_openssl_p.h:69,
    from ssl/qsslsocket_openssl_symbols_p.h:70,
    from ssl/qsslcertificate_openssl.cpp:41:
    /mnt/bbb-rootfs/usr/include/openssl/ossl_typ.h:119:16: error: forward declaration of 'X509 {aka struct x509_st}'
    typedef struct x509_st X509;
    ^
    ssl/qsslcertificate_openssl.cpp:242:29: error: invalid use of incomplete type 'EVP_PKEY {aka struct evp_pkey_st}'
    if (q_EVP_PKEY_type(pkey->type) == EVP_PKEY_RSA) {
    ^
    In file included from /mnt/bbb-rootfs/usr/include/openssl/crypto.h:31:0,
    from /mnt/bbb-rootfs/usr/include/openssl/comp.h:16,
    from /mnt/bbb-rootfs/usr/include/openssl/ssl.h:47,
    from ../../include/QtNetwork/5.7.1/QtNetwork/private/../../../../../src/network/ssl/qsslcontext_openssl_p.h:59,
    from ../../include/QtNetwork/5.7.1/QtNetwork/private/qsslcontext_openssl_p.h:1,
    from ssl/qsslsocket_p.h:61,
    from ssl/qsslsocket_openssl_p.h:69,
    from ssl/qsslsocket_openssl_symbols_p.h:70,
    from ssl/qsslcertificate_openssl.cpp:41:
    /mnt/bbb-rootfs/usr/include/openssl/ossl_typ.h:93:16: error: forward declaration of 'EVP_PKEY {aka struct evp_pkey_st}'
    typedef struct evp_pkey_st EVP_PKEY;
    ^
    ssl/qsslcertificate_openssl.cpp:246:36: error: invalid use of incomplete type 'EVP_PKEY {aka struct evp_pkey_st}'
    } else if (q_EVP_PKEY_type(pkey->type) == EVP_PKEY_DSA) {
    ^
    In file included from /mnt/bbb-rootfs/usr/include/openssl/crypto.h:31:0,
    from /mnt/bbb-rootfs/usr/include/openssl/comp.h:16,
    from /mnt/bbb-rootfs/usr/include/openssl/ssl.h:47,
    from ../../include/QtNetwork/5.7.1/QtNetwork/private/../../../../../src/network/ssl/qsslcontext_openssl_p.h:59,
    from ../../include/QtNetwork/5.7.1/QtNetwork/private/qsslcontext_openssl_p.h:1,
    from ssl/qsslsocket_p.h:61,
    from ssl/qsslsocket_openssl_p.h:69,
    from ssl/qsslsocket_openssl_symbols_p.h:70,
    from ssl/qsslcertificate_openssl.cpp:41:
    /mnt/bbb-rootfs/usr/include/openssl/ossl_typ.h:93:16: error: forward declaration of 'EVP_PKEY {aka struct evp_pkey_st}'
    typedef struct evp_pkey_st EVP_PKEY;
    ^
    ssl/qsslcertificate_openssl.cpp:251:36: error: invalid use of incomplete type 'EVP_PKEY {aka struct evp_pkey_st}'
    } else if (q_EVP_PKEY_type(pkey->type) == EVP_PKEY_EC) {
    ^
    In file included from /mnt/bbb-rootfs/usr/include/openssl/crypto.h:31:0,
    from /mnt/bbb-rootfs/usr/include/openssl/comp.h:16,
    from /mnt/bbb-rootfs/usr/include/openssl/ssl.h:47,
    from ../../include/QtNetwork/5.7.1/QtNetwork/private/../../../../../src/network/ssl/qsslcontext_openssl_p.h:59,
    from ../../include/QtNetwork/5.7.1/QtNetwork/private/qsslcontext_openssl_p.h:1,
    from ssl/qsslsocket_p.h:61,
    from ssl/qsslsocket_openssl_p.h:69,
    from ssl/qsslsocket_openssl_symbols_p.h:70,
    from ssl/qsslcertificate_openssl.cpp:41:
    /mnt/bbb-rootfs/usr/include/openssl/ossl_typ.h:93:16: error: forward declaration of 'EVP_PKEY {aka struct evp_pkey_st}'
    typedef struct evp_pkey_st EVP_PKEY;
    ^
    ssl/qsslcertificate_openssl.cpp:256:36: error: invalid use of incomplete type 'EVP_PKEY {aka struct evp_pkey_st}'
    } else if (q_EVP_PKEY_type(pkey->type) == EVP_PKEY_DH) {
    ^
    In file included from /mnt/bbb-rootfs/usr/include/openssl/crypto.h:31:0,
    from /mnt/bbb-rootfs/usr/include/openssl/comp.h:16,
    from /mnt/bbb-rootfs/usr/include/openssl/ssl.h:47,
    from ../../include/QtNetwork/5.7.1/QtNetwork/private/../../../../../src/network/ssl/qsslcontext_openssl_p.h:59,
    from ../../include/QtNetwork/5.7.1/QtNetwork/private/qsslcontext_openssl_p.h:1,
    from ssl/qsslsocket_p.h:61,
    from ssl/qsslsocket_openssl_p.h:69,
    from ssl/qsslsocket_openssl_symbols_p.h:70,
    from ssl/qsslcertificate_openssl.cpp:41:
    /mnt/bbb-rootfs/usr/include/openssl/ossl_typ.h:93:16: error: forward declaration of 'EVP_PKEY {aka struct evp_pkey_st}'
    typedef struct evp_pkey_st EVP_PKEY;
    ^
    ssl/qsslcertificate_openssl.cpp: In function 'uint qHash(const QSslCertificate&, uint)':
    ssl/qsslcertificate_openssl.cpp:73:1: warning: control reaches end of non-void function [-Wreturn-type]
    }
    ^
    make[2]: *** [Makefile:20795: .obj/qsslcertificate_openssl.o] Error 1
    make[2]: Leaving directory '/opt/qt5bbb/qt5/qtbase/src/network'
    make[1]: *** [Makefile:236: sub-network-make_first] Error 2
    make[1]: Leaving directory '/opt/qt5bbb/qt5/qtbase/src'
    make: *** [Makefile:47: sub-src-make_first] Error 2

    could you please tell me how can i solve that errors.....
    thank you


  • Lifetime Qt Champion

    Are you trying to build Qt 5.7 using OpenSSL 1.1 ?
    If so that won't work. Either use OpenSSL 1.0 or update Qt to version that is current.



  • @SGaist
    If i was try to use openSSL 1.0 & openSSL 1.1 it doesn't configure

    it will shows an error "-openssl1.O: invalid command-line switch
    " or "1.O: unknown argument"
    same error for both openSSL 1.0 & openSSL 1.1

    Capture.JPG


  • Lifetime Qt Champion

    @Sekhar There is no such parameter. You just need to use OpenSSL 1.0 header files and libs.



  • by following the Qt-wiki document i got an error
    at the time of Run an application...................

    How to resolve this problem............

    Starting /opt/untitled/bin/untitled....
    This application failed to start because it could not find or load the Qt platform plugin "eglfs"
    in "".
    Available platform plugins are: linuxfb, minimal, offscreen.
    Reinstalling the application may fix this problem.
    Process killed by signal


  • Lifetime Qt Champion

    @Sekhar Did you properly deploy your app (including plug-ins)?



  • @jsulm
    could you please tell me how to including plug-ins


  • Lifetime Qt Champion

    @Sekhar Please take a look at https://doc.qt.io/qt-5/linux-deployment.html
    But your issue could be different: did you cross compile Qt with EGLFS support?


Log in to reply